module Maglove
  module Engine
    class Registry
      include Singleton
      attr_reader :widgets

      def initialize
        @widgets = {}
      end

      def register_widget(identifier, klass)
        widgets[identifier] = klass
      end
    end
  end
end
