module Maglove
  module Widget
    class Page < V2
      def identifier
        "page"
      end

      def defaults
        {
          text_color: "#000000",
          background_color: "#FFFFFF"
        }
      end
    end

    class LegacyPage < V1
      def identifier
        "page"
      end

      def defaults
        {
          text_color: "#000000",
          background_color: "#FFFFFF"
        }
      end

      def render(&block)
        super do
          haml_tag :div, id: "page-container" do
            haml_tag :div, id: "page-contents" do
              yield self if block_given?
            end
          end
        end
      end
    end
  end
end
