module Maglove
  module Widget
    class RawHtml < V2
      def identifier
        "raw_html"
      end

      def defaults
        {
          src: "<p>custom html</p>",
          css: nil
        }
      end
    end

    class LegacyRawHtml < V1
      def identifier
        "raw_html"
      end

      def defaults
        {
          src: "<p>custom html</p>",
          css: nil
        }
      end

      def render(&block)
        super do
          haml_tag :div, class: "iframe-container", style: style_string(options, :margin, :padding) do
            haml_tag :iframe, src: options[:src], style: options[:css]
          end
        end
      end
    end
  end
end
