module Maglove
  module Engine
    class Configuration
      include Singleton
      attr_accessor :asset_uri
      attr_accessor :block_path
      attr_accessor :block_resolver

      def initialize
        @block_resolver = lambda do |identifier, variables|
          File.read(File.join(Maglove::Engine.config.block_path, "#{identifier}.haml"))
        end
      end
    end
  end
end
